Index: trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 6)
@@ -4184,40 +4207,52 @@
 
                 for (int i = 0; i < AllTabCount; i++) m_Alldgv[i] = null;
                 for (int i = 0; i < AllTabCount; i++) m_GridWidthSize[i] = -1;
-                    
+
+                int TabPoint = 0;
                 // 1:秘書からの連絡
-                m_GridWidthSize[(int)FrmMenuTabNameEnum.BusinessMessage] = dgvBusinessMessage.Width;
-                m_Alldgv[(int)FrmMenuTabNameEnum.BusinessMessage] = dgvBusinessMessage;
+                TabPoint = (int)FrmMenuTabNameEnum.BusinessMessage - 1;
+                m_GridWidthSize[TabPoint] = dgvBusinessMessage.Width;
+                m_Alldgv[TabPoint] = dgvBusinessMessage;
                 // 2:社内掲示板
-                m_GridWidthSize[(int)FrmMenuTabNameEnum.MessageBoard] = dgvMessageBoard.Width;
-                m_Alldgv[(int)FrmMenuTabNameEnum.MessageBoard] = dgvMessageBoard;
+                TabPoint = (int)FrmMenuTabNameEnum.MessageBoard - 1;
+                m_GridWidthSize[TabPoint] = dgvMessageBoard.Width;
+                m_Alldgv[TabPoint] = dgvMessageBoard;
                 // 3:承認一覧
-                m_GridWidthSize[(int)FrmMenuTabNameEnum.DocumentApproval] = dgvDocumentApproval.Width;
-                m_Alldgv[(int)FrmMenuTabNameEnum.DocumentApproval] = dgvDocumentApproval;
+                TabPoint = (int)FrmMenuTabNameEnum.DocumentApproval - 1;
+                m_GridWidthSize[TabPoint] = dgvApproval.Width;
+                m_Alldgv[TabPoint] = dgvApproval;
                 // 4:工事案件
-                m_GridWidthSize[(int)FrmMenuTabNameEnum.SalesInProjects] = dgvSalesInProjects.Width;
-                m_Alldgv[(int)FrmMenuTabNameEnum.SalesInProjects] = dgvSalesInProjects;
+                TabPoint = (int)FrmMenuTabNameEnum.SalesInProjects - 1;
+                m_GridWidthSize[TabPoint] = dgvSalesInProjects.Width;
+                m_Alldgv[TabPoint] = dgvSalesInProjects;
                 // 5:入札案件
-                m_GridWidthSize[(int)FrmMenuTabNameEnum.Tenders] = dgvTenders.Width;
-                m_Alldgv[(int)FrmMenuTabNameEnum.Tenders] = dgvTenders;
+                TabPoint = (int)FrmMenuTabNameEnum.Tenders - 1;
+                m_GridWidthSize[TabPoint] = dgvTenders.Width;
+                m_Alldgv[TabPoint] = dgvTenders;
                 // 6:予算取り案件
-                m_GridWidthSize[(int)FrmMenuTabNameEnum.BudgetUpProjects] = dgvBudgetUp.Width;
-                m_Alldgv[(int)FrmMenuTabNameEnum.BudgetUpProjects] = dgvBudgetUp;
+                TabPoint = (int)FrmMenuTabNameEnum.BudgetUpProjects - 1;
+                m_GridWidthSize[TabPoint] = dgvBudgetUp.Width;
+                m_Alldgv[TabPoint] = dgvBudgetUp;
                 // 7:受注案件
-                m_GridWidthSize[(int)FrmMenuTabNameEnum.ConstructionProjects] = dgvConstructionProjects.Width;
-                m_Alldgv[(int)FrmMenuTabNameEnum.ConstructionProjects] = dgvConstructionProjects;
+                TabPoint = (int)FrmMenuTabNameEnum.ConstructionProjects - 1;
+                m_GridWidthSize[TabPoint] = dgvConstructionProjects.Width;
+                m_Alldgv[TabPoint] = dgvConstructionProjects;
                 // 8:非受注工事
-                m_GridWidthSize[(int)FrmMenuTabNameEnum.NonOrders] = dgvNonOrders.Width;
-                m_Alldgv[(int)FrmMenuTabNameEnum.NonOrders] = dgvNonOrders;
+                TabPoint = (int)FrmMenuTabNameEnum.NonOrders - 1;
+                m_GridWidthSize[TabPoint] = dgvNonOrders.Width;
+                m_Alldgv[TabPoint] = dgvNonOrders;
                 // 9:完了工事
-                m_GridWidthSize[(int)FrmMenuTabNameEnum.CompletionOfConstruction] = dgvCompletionOfConstruction.Width;
-                m_Alldgv[(int)FrmMenuTabNameEnum.CompletionOfConstruction] = dgvCompletionOfConstruction;
+                TabPoint = (int)FrmMenuTabNameEnum.CompletionOfConstruction - 1;
+                m_GridWidthSize[TabPoint] = dgvCompletionOfConstruction.Width;
+                m_Alldgv[TabPoint] = dgvCompletionOfConstruction;
                 // 10:行動予定
-                m_GridWidthSize[(int)FrmMenuTabNameEnum.ActionSchedule] = dgvActionSchedule.Width;
-                m_Alldgv[(int)FrmMenuTabNameEnum.ActionSchedule] = dgvActionSchedule;
+                TabPoint = (int)FrmMenuTabNameEnum.ActionSchedule - 1;
+                m_GridWidthSize[TabPoint] = dgvActionSchedule.Width;
+                m_Alldgv[TabPoint] = dgvActionSchedule;
                 // 11:人員配置
-                m_GridWidthSize[(int)FrmMenuTabNameEnum.StaffAssignment] = dgvStaffAssignment.Width;
-                m_Alldgv[(int)FrmMenuTabNameEnum.StaffAssignment] = dgvStaffAssignment;
+                TabPoint = (int)FrmMenuTabNameEnum.StaffAssignment - 1;
+                m_GridWidthSize[TabPoint] = dgvStaffAssignment.Width;
+                m_Alldgv[TabPoint] = dgvStaffAssignment;
                 // ----- 以下はグリッド無・未定
                 // 12:売上グラフ
                 //SalesGraph,
@@ -4252,6 +4287,7 @@
                     if (dgv == null) continue;
                     if (MaxCelCount < dgv.ColumnCount) MaxCelCount = dgv.ColumnCount;
                 }
+
                 m_CellSize = new int[AllTabCount, MaxCelCount];
                 // 初期値-1セット
                 for (int iy = 0; iy < m_CellSize.GetLength(0); iy++)
Index: trunk/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 5)
+++ trunk/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 6)
@@ -120,6 +120,8 @@
     <Compile Include="Common\Process\ClsExcute.cs" />
     <Compile Include="Common\CommonDefine.cs" />
     <Compile Include="Common\Office\UsedWord.cs" />
+    <Compile Include="DataModel\ConstructionLink.cs" />
+    <Compile Include="DataModel\OrdersPriceData.cs" />
     <Compile Include="DataModel\DailyData.cs" />
     <Compile Include="DataModel\ProceedingsDataDetail.cs" />
     <Compile Include="DataModel\ProceedingsDataAttendee.cs" />
@@ -144,6 +146,26 @@
     <Compile Include="DataModel\SubContractorJobCategory.cs" />
     <Compile Include="DataModel\SubContractorJobILink.cs" />
     <Compile Include="DataModel\SuppliersMaster.cs" />
+    <Compile Include="DB\IOAccess\IOConstructionLink.cs" />
+    <Compile Include="DB\IOAccess\IOOrdersPriceData.cs" />
+    <Compile Include="Forms\DataEntry\ConstructionBaseInfo\DataChange.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\ConstructionLedger\FrmSelectPerson.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\ConstructionLedger\FrmSelectPerson.Designer.cs">
+      <DependentUpon>FrmSelectPerson.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\DataEntry\ConstructionPersonList\FrmConstructionPersonList.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\DataEntry\ConstructionPersonList\FrmConstructionPersonList.designer.cs">
+      <DependentUpon>FrmConstructionPersonList.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\DataEntry\ConstructionPersonList\FrmConstructionPersonListAuxiliary.cs">
+      <SubType>Form</SubType>
+    </Compile>
     <Compile Include="Forms\DataEntry\PurchaseOrderEntry\PurchaseOrderInputPage.cs" />
     <Compile Include="DataModel\PurchaseOrderDetail.cs" />
     <Compile Include="DataModel\PurchaseOrder.cs" />
@@ -329,12 +351,6 @@
     <Compile Include="Forms\DataEntry\ConstructionBudget\FrmConstructionBudgetAuxiliary.cs">
       <SubType>Form</SubType>
     </Compile>
-    <Compile Include="Forms\DataEntry\ConstructionLedger\FrmRowAddChoice.cs">
-      <SubType>Form</SubType>
-    </Compile>
-    <Compile Include="Forms\DataEntry\ConstructionLedger\FrmRowAddChoice.Designer.cs">
-      <DependentUpon>FrmRowAddChoice.cs</DependentUpon>
-    </Compile>
     <Compile Include="Forms\DataEntry\DRWork\FrmDRWorkAuxiliary.cs">
       <SubType>Form</SubType>
     </Compile>
@@ -392,6 +408,18 @@
     <Compile Include="Forms\Master\Suppliers\FrmSuppliers.designer.cs">
       <DependentUpon>FrmSuppliers.cs</DependentUpon>
     </Compile>
+    <Compile Include="Forms\SubForms\FrmNumberOfWorkers.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\SubForms\FrmNumberOfWorkers.Designer.cs">
+      <DependentUpon>FrmNumberOfWorkers.cs</DependentUpon>
+    </Compile>
+    <Compile Include="Forms\SubForms\FrmValueOfOrder.cs">
+      <SubType>Form</SubType>
+    </Compile>
+    <Compile Include="Forms\SubForms\FrmValueOfOrder.Designer.cs">
+      <DependentUpon>FrmValueOfOrder.cs</DependentUpon>
+    </Compile>
     <Compile Include="Forms\SubForms\FrmConstructionDiag.cs">
       <SubType>Form</SubType>
     </Compile>
@@ -864,6 +892,12 @@
     <EmbeddedResource Include="Forms\CustomControls\DataGridViewEX.resx">
       <DependentUpon>DataGridViewEX.cs</DependentUpon>
     </EmbeddedResource>
+    <EmbeddedResource Include="Forms\DataEntry\ConstructionLedger\FrmSelectPerson.resx">
+      <DependentUpon>FrmSelectPerson.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Forms\DataEntry\ConstructionPersonList\FrmConstructionPersonList.resx">
+      <DependentUpon>FrmConstructionPersonList.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="Forms\DataEntry\DailyReport\FrmDailyReport.resx">
       <DependentUpon>FrmDailyReport.cs</DependentUpon>
     </EmbeddedResource>
@@ -882,9 +916,6 @@
     <EmbeddedResource Include="Forms\DataEntry\ConstructionBaseInfo\FrmConstructionBaseInfo.resx">
       <DependentUpon>FrmConstructionBaseInfo.cs</DependentUpon>
     </EmbeddedResource>
-    <EmbeddedResource Include="Forms\DataEntry\ConstructionLedger\FrmRowAddChoice.resx">
-      <DependentUpon>FrmRowAddChoice.cs</DependentUpon>
-    </EmbeddedResource>
     <EmbeddedResource Include="Forms\DataEntry\DRWork\FrmDRWork.resx">
       <DependentUpon>FrmDRWork.cs</DependentUpon>
     </EmbeddedResource>
@@ -906,6 +937,12 @@
     <EmbeddedResource Include="Forms\Master\Suppliers\FrmSuppliers.resx">
       <DependentUpon>FrmSuppliers.cs</DependentUpon>
     </EmbeddedResource>
+    <EmbeddedResource Include="Forms\SubForms\FrmNumberOfWorkers.resx">
+      <DependentUpon>FrmNumberOfWorkers.cs</DependentUpon>
+    </EmbeddedResource>
+    <EmbeddedResource Include="Forms\SubForms\FrmValueOfOrder.resx">
+      <DependentUpon>FrmValueOfOrder.cs</DependentUpon>
+    </EmbeddedResource>
     <EmbeddedResource Include="Forms\SubForms\FrmConstructionDiag.resx">
       <DependentUpon>FrmConstructionDiag.cs</DependentUpon>
     </EmbeddedResource>
@@ -1118,6 +1155,7 @@
   </ItemGroup>
   <ItemGroup>
     <Folder Include="DB\SqlServerCompact\" />
+    <Folder Include="Forms\DataEntry\ConstrAdd\" />
     <Folder Include="Utility\" />
   </ItemGroup>
   <ItemGroup>
